# W tej wersji używamy dodatkowego modułu requests, który został doinstalowany: pip install requests
import requests

ADRES='http://api.nbp.pl/api/exchangerates/tables/A/?format=json'

try:
    print('Pobieram dane...')
    dane = requests.get(ADRES).json()
    tabela = dane[0]
    print('Tabela numer', tabela['no'], 'z dnia', tabela['effectiveDate'])

    waluty = tabela['rates']
    for waluta in waluty:
        print(waluta['code'], waluta['currency'], waluta['mid'])

except Exception as e:
    print('Nie udało się pobrać', e)

# Zadanie 1:
# Program pyta o datę w formacie YYYY-MM-DD i próbuje pobrać kursy walutowe z podanego dnia
# Jeśli user poda pustego stringa, to pobieranie są kursy bieżące.

# Zadanie 2:
# Program ładuje kursy walutowe i następnie prosi usera o podanie kodu waluty (np. EUR).
# Po podaniu prawidłowego kodu wypisuje kurs tej waluty i prosi o podaniekwoty do przeliczenia
# Następnie przelicza podaną kwotę wg kursu tej waluty.
# Sprytne podejście: raz pytamy o kwotę, a potem od razu przeliczamy w obie strony
# Np. 500 EUR to 2300 PLN, 500 PLN to 120 EUR
